﻿@model IEnumerable<NationalTheatre.ViewModels.ReservationViewModel>

<nav class="navbar navbar-inverse navbar-fixed-top">
  <div class="container">
    <div class="navbar-header">
      <a asp-area="" asp-controller="Users" asp-action="Logout" class="navbar-brand" style="margin-left:800px">Log out</a>
    </div>
  </div>
</nav>

@if (Model.Count() > 0)
{

  <h3>Reservations for @Model.ElementAt(0).Show</h3>

  <table class="table">
    <thead>
      <tr>
        <th>
          Row
        </th>
        <th>
          Seat
        </th>
        <th>
          Reservation Date
        </th>
        <th></th>
      </tr>
    </thead>
    <tbody>
      @foreach (var reservation in Model)
      {
        <tr>
          <td>
            @reservation.RowSeat.Row
          </td>
          <td>
            @reservation.RowSeat.Seat
          </td>
          <td>
            @reservation.Date
          </td>
          <td>
            <a asp-action="EditReservation" asp-controller="Users" asp-route-id="@reservation.Id">Edit</a> |
            <a asp-action="DeleteReservation" asp-controller="Users" asp-route-id="@reservation.Id">Delete</a>
          </td>
        </tr>
      }
    </tbody>
  </table>
}
else
{
  <h3>No tickets were sold for this show.</h3>
}
  <div>
    <a asp-action="Index" asp-controller="Users">Back to shows</a>
  </div>